org.apache.felix.ipojo.extender

## Interface Status

All Known Implementing Classes:
  AbstractDeclaration, DefaultExtensionDeclaration, DefaultInstanceDeclaration, DefaultTypeDeclaration

    public interface Status

The declaration status. A declaration may be fulfilled or not (bound or not). When the declaration is unbound, a message can be given to explain the reason. Implementation are immutable.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getMessage()` Gets the unbound message if any.
`java.lang.Throwable` `getThrowable()` Gets the unbound error if any.
`boolean` `isBound()` Is the declaration fulfilled ?

### Method Detail

#### isBound

    boolean isBound()

Is the declaration fulfilled ?

Returns:
  true if the declaration is bound, false otherwise.

#### getMessage

    java.lang.String getMessage()

Gets the unbound message if any.

Returns:
  the unbound message, `null` if no message.

#### getThrowable

    java.lang.Throwable getThrowable()

Gets the unbound error if any.

Returns:
  the unbound error, `null` if no error were set.